Name:          checkstyle-rules
Version:       2
Release:       %mkrel 1
Summary:       MyFaces checkstyle rules
Group:         Development/Java
License:       ASL 2.0
Url:           http://myfaces.apache.org/
# svn export http://svn.apache.org/repos/asf/myfaces/myfaces-build-tools/tags/checkstyle-rules-2
# tar czf checkstyle-rules-2-src-svn.tar.gz checkstyle-rules-2
Source0:       checkstyle-rules-2-src-svn.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: maven
BuildRequires: maven-release-plugin
BuildRequires: myfaces-master

Requires:      myfaces-master

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
MyFaces checkstyle rules.

%prep
%setup -q -n checkstyle-rules-%{version}

%build
mvn-rpmbuild package
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
# poms
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%{_javadir}/*.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*
%doc LICENSE NOTICE


%changelog

* Fri Nov 11 2011 gil <gil> 2-1.mga2
+ Revision: 166500
- imported package checkstyle-rules

